import { jsx } from "react/jsx-runtime";
import { TokenXCM as TokenXCM$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenXCM = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "XCM", "data-name": "TokenXCM", ...props, children: /* @__PURE__ */ jsx(TokenXCM$1, { variant }) });
  }
);
TokenXCM.displayName = "TokenXCM";
Object.assign(TokenXCM, { isGdsIcon: true });
export {
  TokenXCM
};
